Index: Scheduling/branches/Radiology-Support/cs/bsdx0200GUISourceCode/DApptSearch.cs
===================================================================
--- Scheduling/branches/Radiology-Support/cs/bsdx0200GUISourceCode/DApptSearch.cs	(revision 1134)
+++ Scheduling/branches/Radiology-Support/cs/bsdx0200GUISourceCode/DApptSearch.cs	(revision 1168)
@@ -5,5 +5,4 @@
 using System.Data;
 using System.Linq;
-//using System.Data.OleDb;
 
 namespace IndianHealthService.ClinicalScheduling
@@ -114,5 +113,5 @@
 		{
 
-            this.Text = "Searching for Appointments in: " + string.Join(" | ", alResources.Cast<string>());
+            this.Text = "Searching for available slots in: " + string.Join(" | ", alResources.Cast<string>());
             
             this.m_DocManager = docManager;
@@ -275,4 +274,5 @@
 		{
             this.panel1 = new System.Windows.Forms.Panel();
+            this.lblMessage = new System.Windows.Forms.Label();
             this.cmdSearch = new System.Windows.Forms.Button();
             this.cmdCancel = new System.Windows.Forms.Button();
@@ -313,5 +313,4 @@
             this.colSlots = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
             this.colAccessType = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
-            this.lblMessage = new System.Windows.Forms.Label();
             this.panel1.SuspendLayout();
             this.pnlDescription.SuspendLayout();
@@ -335,4 +334,14 @@
             this.panel1.TabIndex = 4;
             // 
+            // lblMessage
+            // 
+            this.lblMessage.AutoSize = true;
+            this.lblMessage.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.lblMessage.ForeColor = System.Drawing.Color.Red;
+            this.lblMessage.Location = new System.Drawing.Point(337, 16);
+            this.lblMessage.Name = "lblMessage";
+            this.lblMessage.Size = new System.Drawing.Size(0, 16);
+            this.lblMessage.TabIndex = 3;
+            // 
             // cmdSearch
             // 
@@ -390,7 +399,7 @@
             this.lblDescription.Size = new System.Drawing.Size(917, 45);
             this.lblDescription.TabIndex = 1;
-            this.lblDescription.Text = "Search for available appointment times using this panel.  You may narrow your sea" +
-                "rch by selecting an access type or by selecting specific days of the week or tim" +
-                "es of day.";
+            this.lblDescription.Text = "Search for available slots times using this panel.  You may narrow your search by" +
+                " selecting an access type or by selecting specific days of the week or times of " +
+                "day.";
             // 
             // groupBox1
@@ -676,14 +685,4 @@
             this.colAccessType.Text = "Access Type";
             this.colAccessType.Width = 101;
-            // 
-            // lblMessage
-            // 
-            this.lblMessage.AutoSize = true;
-            this.lblMessage.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            this.lblMessage.ForeColor = System.Drawing.Color.Red;
-            this.lblMessage.Location = new System.Drawing.Point(337, 16);
-            this.lblMessage.Name = "lblMessage";
-            this.lblMessage.Size = new System.Drawing.Size(0, 16);
-            this.lblMessage.TabIndex = 3;
             // 
             // DApptSearch
@@ -899,5 +898,5 @@
 
             if (items.Length > 0) lstResults.Items.AddRange(items); // add new data
-            else this.lblMessage.Text = "No available Appointment Slots Found!";
+            else this.lblMessage.Text = "No available slots found!";
 
             lstResults.EndUpdate(); // ok done adding items, draw now.
@@ -944,9 +943,9 @@
             {
                 this.DialogResult = DialogResult.None;
-                lblMessage.Text = "No Appointment Slot selected!";
+                lblMessage.Text = "No slot selected!";
                 return;
             }
 
-            long availabilityKey = long.Parse(lstResults.SelectedItems[0].SubItems[0].Text);
+            int availabilityKey = Int32.Parse(lstResults.SelectedItems[0].SubItems[0].Text);
             _selectedAvailability = (from av in lstResultantAvailabilities
                                      where av.AvailabilityType == availabilityKey
